<template>
  <div>
    <EntryBanner
      :games="livecasinos"
      :tag-line="$t('c88d_entry_banner_sports_tagline')"
    />
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import EntryBanner from "./components/EntryBanner.client.vue";
import { store } from "@/store";
import { GameBsi } from "@/models/bsiGameList";
import { gameStore } from "~~/store/game";

export default defineComponent({
  name: "LiveCasino",
  components: {
    EntryBanner,
  },
  setup() {
    const games = computed(() =>
      gameStore.state.games.map((item) => new GameBsi(item))
    );
    const livecasinos = games.value.filter(
      (game) => game.Category === 2 && game.ForDesktop && game.IsEnabled
    );

    return {
      livecasinos,
    };
  },
});
</script>
